<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iEntityTemplateLoader Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iEntityTemplateLoader Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iEntityTemplateLoader" --><!-- doxytag: inherits="iBase" -->
<p>This interface allows one to access the celentitytpl addon with an easier interface.  
 <a href="structiEntityTemplateLoader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entitytplloader_8h_source.html">tools/entitytplloader.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iEntityTemplateLoader:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiEntityTemplateLoader.png" usemap="#iEntityTemplateLoader_map" alt=""/>
  <map id="iEntityTemplateLoader_map" name="iEntityTemplateLoader_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,136,24"/>
</map>
 </div></div>

<p><a href="structiEntityTemplateLoader-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiEntityTemplateLoader.html#a27bcb34150887e4cdef44e994c891997">Load</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the entity template from the document node.  <a href="#a27bcb34150887e4cdef44e994c891997"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiEntityTemplateLoader.html#ad83043ad8378cb5b59462e796b4ad384">Load</a> (const char *path, const char *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Conveniance function to load the entity template from a vfs file.  <a href="#ad83043ad8378cb5b59462e796b4ad384"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface allows one to access the celentitytpl addon with an easier interface. </p>
<p>With this addon you can load entity templates with assocated behaviour and property classes from an XML description file. </p>

<p>Definition at line <a class="el" href="entitytplloader_8h_source.html#l00036">36</a> of file <a class="el" href="entitytplloader_8h_source.html">entitytplloader.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a27bcb34150887e4cdef44e994c891997"></a><!-- doxytag: member="iEntityTemplateLoader::Load" ref="a27bcb34150887e4cdef44e994c891997" args="(iDocumentNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a>* <a class="el" href="structiEntityTemplateLoader.html#a27bcb34150887e4cdef44e994c891997">iEntityTemplateLoader::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load the entity template from the document node. </p>
<p>Returns entity template or 0 on failure. In case of failure the error has been reported to the reporter. </p>

</div>
</div>
<a class="anchor" id="ad83043ad8378cb5b59462e796b4ad384"></a><!-- doxytag: member="iEntityTemplateLoader::Load" ref="ad83043ad8378cb5b59462e796b4ad384" args="(const char *path, const char *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntityTemplate.html">iCelEntityTemplate</a>* <a class="el" href="structiEntityTemplateLoader.html#a27bcb34150887e4cdef44e994c891997">iEntityTemplateLoader::Load</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Conveniance function to load the entity template from a vfs file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>optional VFS path. Can be 0. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="entitytplloader_8h_source.html">entitytplloader.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
